#!/usr/bin/env python

from argparse import ArgumentParser
import json
from urllib import urlencode
from urllib2 import urlopen, HTTPError, URLError

p = ArgumentParser("")
p.add_argument("--padinfo", default="padinfo.json", help="padinfo, default: padinfo.json")
p.add_argument("--showurl", default=False, action="store_true")
p.add_argument("--list", default=False, action="store_true", help="display one per line")
args = p.parse_args()

with open(args.padinfo) as f:
	info = json.load(f)
apiurl =  "{0[protocol]}://{0[hostname]}:{0[port]}{0[apiurl]}{0[apiversion]}/".format(info)
data = {}
data['apikey'] = info['apikey']
requesturl = apiurl+'listAllPads?'+urlencode(data)
if args.showurl:
	print requesturl
else:
	results = json.load(urlopen(requesturl))['data']['padIDs']
	if args.list:
		for r in results:
			print r.encode("utf-8")
	else:
		print json.dumps(results)

